Suivre

En train d'essayer d'installer Keybase pour Android à partir de l'application GooglePlay.

WTF GOOGLE ??? framapiaf.org/media/kpwXSNznf5

Et quand j'essaie de passer par le site web GooglePlay, j'ai ça: framapiaf.org/media/-zehG2lNZa

Dis Google, tu veux bien arrêter d'essayer de trouver des excuses à la con pour m'empêcher d'installer l'application ??? 😠

Et bien sûr, les développeurs ne fournissent pas le fichier apk sur leur site web.

Notez que j'ai eu la réponse de Keybase à ce propos:
« Hi! Unfortunately France is the only country the app isn't live in. It's because France requires permission from the government before importing crypto from other countries:
en.wikipedia.org/wiki/Cryptogr
We hope it will be in the store in the future. »

Bullshit.
D'ailleurs on peut librement télécharger leur application desktop sur leur site.
Et je peux aussi installer Signal, Telegram ou WhatsApp.

Groumpf.

@sebsauvage Google n'y est pour rien, c'est l'éditeur qui choisit où son application est disponible. Change le pays de ton compte, choisis "USA", ça devrait passer.

@ben
Oui ils m'ont répondu à ce sujet. Excuse à la con puisque leur appli desktop est librement téléchargeable sur leur site.

@sebsauvage Parce que l'appli desktop n'est pas disponible sur un app store… Si c'était le cas on peut parier qu'elle serait également indisponible en France.

@sebsauvage C'est sûr qu'ils ont vraisemblablement un avocat un tantinet trop tatillon, mais peut-on vraiment les blâmer de respecter la LCEN ?

@ben
C'est peut-être moi qui suis trop extrême.
La protection de ma vie privée n'est pas négociable.

@sebsauvage Je suis d'accord, mais qui est le véritable responsable de cet état de fait ? L'éditeur ou le législateur ?

@ben
Législateur.
Après, si on regarde Signal, ils ont œuvré activement pour contourner l'interdiction et le blocage dans un pays: whispersystems.org/blog/doodle
L'éditeur a aussi des choix politiques à faire.

@sebsauvage Le playstore permet de limiter la distribution des applications selon plein de critère et en premier lieu le pays. Mais on peut être même plus sélectif que ça en limitant même en fonction de l'opérateur.
Il y a aussi des restrictions qui peuvent d'être d'ordre matériel, présence du gps hardware, support de l'OTG,...
Et bien sur la version minimal android supporté. On vire au bout d'un moment le support de vieille version d'android, sinon c'est ingérable niveau code.

@Schoumi
Sauf que l'appli exige Android 4.1 minimum et que je suis sous Android 6.

@sebsauvage restriction pays/opérateur défini par les personnes qui ont publiés l'appli.

@sebsauvage je suppose que tu as plus de 3 ans et que keybase a pas de raison matériel de bloquer les installations.

@Schoumi
Oui 😒

Oh tiens bizarre, mais l'appli fonctionne parfaitement (je viens de la récupérer par des moyens alternatifs).
Donc non, l'appli n'est pas incompatible avec mon appareil.

Je la vire.

@Schoumi
Ok bon l'appli sous Nunux n'est pas un modèle de stabilité.
Je vire également.

Je me contenterai de la page keybase.

@sebsauvage C'est une restriction volontaire, simple case a coché dans le playstore.
Ah j'avais oublié qu'on peut aussi exclure des appareils manuellement. framapiaf.org/media/kreBm6loMs framapiaf.org/media/1ovtzC_rfS

@Schoumi
Merci pour les captures d'écran.
Très instructif !

@geekpapy
oui... *soupir*
C'est quand même la misère, pour une application de sécurité et chiffrement, d'avoir à la télécharger hors du site de l'éditeur.

Inscrivez-vous pour prendre part à la conversation
Framapiaf

Le réseau social de l'avenir : pas de publicité, pas de surveillance institutionnelle, conception éthique et décentralisation ! Gardez le contrôle de vos données avec Mastodon !